Bug 1257292 - [RFE][swift] At-Rest Encryption
[RFE][swift] At-Rest Encryption
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-swift (Show other bugs)
unspecified
Unspecified Unspecified
high Severity medium
: rc
: 10.0 (Newton)
Assigned To: Pete Zaitcev
Mike Abrams
http://specs.openstack.org/openstack/...
: FutureFeature, TechPreview, Triaged
Depends On:
Blocks: 1386032
  Show dependency treegraph
 
Reported: 2015-08-26 13:23 EDT by Sean Cohen
Modified: 2016-12-14 10:14 EST (History)
11 users (show)

See Also:
Fixed In Version: openstack-swift-2.9.1-0.20160726041039.25cdd52.el7ost
Doc Type: Technology Preview
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-14 10:14:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 154318 None None None Never

  None (edit)
Description Sean Cohen 2015-08-26 13:23:25 EDT
Currently objects are typically stored on disk as files in a standard POSIX filesystem.
When disks reach end-of-life, they are discarded, and if not properly wiped, may still contain data.
The feature provides option for Swift operators to have objects stored in an encrypted form.
Comment 4 Mike McCune 2016-03-28 19:46:50 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 nlevinki 2016-05-16 03:26:52 EDT
Will be tested in Mitaka
Comment 8 Thiago da Silva 2016-07-05 10:04:21 EDT
This feature has been merged to upstream swift master: https://github.com/openstack/swift/commit/9045f338693474303f209a4909bca64031afbe9d
Comment 9 Elise Gafford 2016-10-05 07:52:42 EDT
Hi Pete,

Please set the NVR in fixed-in-build and set this to MODIFIED.
Comment 15 errata-xmlrpc 2016-12-14 10:14:45 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html

Note You need to log in before you can comment on or make changes to this bug.